import { IsNotEmpty, IsString, MaxLength } from 'class-validator';

export class CreateModeloDto {
  @IsString()
  @IsNotEmpty()
  @MaxLength(30)
  modelo;

  @IsString()
  @IsNotEmpty()
  @MaxLength(1)
  tipo;
}
