import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { Modulo } from '../modulo.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('m.id_modulo', 'id_modulo')
      .addSelect('m.id_institucion', 'id_institucion')
      .from(Modulo, 'm'),
})
export class InformacionModuloView {
  @ViewColumn()
  id_modulo: number;

  @ViewColumn()
  id_institucion: number;
}
